xn::UserPositionCapability Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::UserPositionCapability:
[legend]

## Public Member Functions

| UserPositionCapability (XnNodeHandle hNode=NULL)
| UserPositionCapability (const NodeWrapper &node)
XnUInt32 | GetSupportedUserPositionsCount () const
XnStatus | SetUserPosition (XnUInt32 nIndex, const XnBoundingBox3D &Position)
XnStatus | GetUserPosition (XnUInt32 nIndex, XnBoundingBox3D &Position) const
XnStatus | RegisterToUserPositionChange (StateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)
void | UnregisterFromUserPositionChange (XnCallbackHandle hCallback)
Public Member Functions inherited from xn::Capability
| Capability (XnNodeHandle hNode)
| Capability (const NodeWrapper &node)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Allows access to User Position capability functions. see User Position Capability for additional details.

Usage: Do not instantiate directly. Instead, use DepthGenerator::GetUserPositionCap() to obtain an instance.

## Constructor & Destructor Documentation

## UserPositionCapability() [1/2]

xn::UserPositionCapability::UserPositionCapability | ( | XnNodeHandle | hNode = NULL | ) |

inline

Ctor

Parameters

  [in] | hNode | Node handle

## UserPositionCapability() [2/2]

xn::UserPositionCapability::UserPositionCapability | ( | const NodeWrapper & | node | ) |

inline

## Member Function Documentation

## GetSupportedUserPositionsCount()

XnUInt32 xn::UserPositionCapability::GetSupportedUserPositionsCount | ( |  | ) | const

inline

Gets the number of user positions supported by this generator. For full details and usage, see xnGetSupportedUserPositionsCount

## GetUserPosition()

XnStatus xn::UserPositionCapability::GetUserPosition | ( | XnUInt32 | nIndex,
|  | XnBoundingBox3D & | Position ) const

inline

Gets the current user position. For full details and usage, see xnGetUserPosition

## RegisterToUserPositionChange()

XnStatus xn::UserPositionCapability::RegisterToUserPositionChange | ( | StateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

inline

Registers an event handler for the 'User Position Change' event.

Parameters

  [in] | handler | Callback function to be invoked when the event is raised.
  [in] | pCookie | User's cookie, to be delivered to the callback.
  [out] | hCallback | Handle to the callback to be used for unregistering it.

For full details and usage of the parameters, see Registering to Events.

## SetUserPosition()

XnStatus xn::UserPositionCapability::SetUserPosition | ( | XnUInt32 | nIndex,
|  | const XnBoundingBox3D & | Position )

inline

Sets the current user position. For full details and usage, see xnSetUserPosition

## UnregisterFromUserPositionChange()

void xn::UserPositionCapability::UnregisterFromUserPositionChange | ( | XnCallbackHandle | hCallback | ) |

inline

Unregisters the event handler for the 'User Position Change' event.

Parameters

  [in] | hCallback | Handle received from registration.

For full details and usage of the parameter, see Unregistering from Events .

The documentation for this class was generated from the following file:

- XnCppWrapper.h